﻿Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Web
Imports System.Windows.Forms
Imports Telerik.Reporting
Imports Telerik.Reporting.Drawing
Imports TRProcessing = Telerik.Reporting.Processing

Partial Public Class Report1
    Inherits Report
    Private m_isWeb As Boolean = True
    Public Property IsWeb() As Boolean
        Get
            Return m_isWeb
        End Get
        Set(ByVal value As Boolean)
            m_isWeb = value
        End Set
    End Property
    Public Sub New()
        InitializeComponent()
        Dim table As New DataTable()
        table.Columns.Add("CheckState")
        Dim i As Integer = 5
        While System.Math.Max(System.Threading.Interlocked.Decrement(i), i + 1) > 0
            table.Rows.Add(New Object() {True})
            table.Rows.Add(New Object() {False})
            table.Rows.Add(New Object() {True})
            table.Rows.Add(New Object() {False})
            table.Rows.Add(New Object() {False})
            table.Rows.Add(New Object() {True})
            table.Rows.Add(New Object() {False})
            table.Rows.Add(New Object() {True})
            table.Rows.Add(New Object() {True})
            table.Rows.Add(New Object() {False})
            table.Rows.Add(New Object() {True})
        End While

        Me.DataSource = table
    End Sub
    Private Function GetPath(ByVal name As String) As String
        If m_isWeb Then
            Return HttpContext.Current.Server.MapPath(name)
        End If
        Dim assemblyName As String = System.Reflection.Assembly.GetAssembly(GetType(Report1)).Location
        name = New String(assemblyName.ToCharArray(), 0, 1 + assemblyName.LastIndexOf("\"c)) + name
        Return name
    End Function
    Private Sub DetailSection1_ItemDataBinding(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DetailSection1.ItemDataBinding
        Dim section As TRProcessing.DetailSection = DirectCast(sender, TRProcessing.DetailSection)
        Dim dataRow As DataRowView = DirectCast(section.DataItem, DataRowView)

        Dim pictureBoxItems As TRProcessing.ReportItemBase() = DirectCast(section.Items.Find("PictureBox1", False), TRProcessing.ReportItemBase())

        If pictureBoxItems.Length > 0 Then
            Dim pictureBox As TRProcessing.PictureBox = DirectCast(pictureBoxItems(0), TRProcessing.PictureBox)
            If Boolean.Parse(DirectCast(dataRow("CheckState"), String)) Then
                pictureBox.ImageData = Image.FromFile(GetPath("Checked.bmp"))
            Else
                pictureBox.ImageData = Image.FromFile(GetPath("UnChecked.bmp"))
            End If
        End If
    End Sub
End Class